# std::const_mem_fun_ref_t< void, Type > Class Template Reference
[Adaptors for pointers to members]

One of the adaptors for member pointers. More...

`#include <stl_function.h>`

Inheritance diagram for std::const_mem_fun_ref_t< void, Type >:

[legend]
Collaboration diagram for std::const_mem_fun_ref_t< void, Type >:

[legend]
List of all members.

## Public Types

typedef Type | argument_type
| `argument_type` is the type of the
typedef void | result_type
| `result_type` is the return type

## Detailed Description

### template<class Type>
class std::const_mem_fun_ref_t< void, Type >

One of the adaptors for member pointers.

Definition at line 767 of file stl_function.h.

## Member Typedef Documentation

typedef Type std::unary_function< Type , void >::argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef void std::unary_function< Type , void >::result_type `[inherited]`

| `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h